<div class="main-footer">
  <div class="row">
    <div class="footer-organization">
      <div class="organization-name">
        <% if current_organization.present? %>
          <%= link_to decidim.root_url(host: current_organization.host) do %>
            <%= current_organization.name %>
          <% end %>
        <% else %>
          <%= Decidim.application_name %>
        <% end %>
      </div>
      <% if current_organization.official_img_footer? %>
        <%= link_to current_organization.official_url, class: "main-footer__badge" do %>
          <%= image_tag current_organization.official_img_footer.url.to_s , alt: current_organization.name %>
        <% end %>
      <% end %>
    </div>
    <div class="footer-application">
      <%= render partial: "layouts/decidim/social_media_links" %>
      <ul class="main__footer__nav footer-nav">
        <% if current_organization.static_pages.any? %>
          <% current_organization.static_pages.where(show_in_footer: true, topic: nil).each do |page| %>
            <li><%= link_to translated_attribute(page.title), decidim.page_path(page) %></li>
          <% end %>
        <% end %>
      </ul>
    </div>
    <% if current_organization.static_page_topics.where(show_in_footer: true).any? %>
      <ul class="main__footer__nav footer-nav">
        <% current_organization.static_page_topics.where(show_in_footer: true).each do |page_topic| %>
          <% if page_topic.pages.where(show_in_footer: true).any? %>
            <li>
              <div class="page-topic-header">
                <%= translated_attribute(page_topic.title) %>
              </div>
              <ul class="topic-pages-nav">
                <% page_topic.pages.where(show_in_footer: true).each do |page| %>
                  <li><%= link_to translated_attribute(page.title), decidim.page_path(page) %></li>
                <% end %>
              </ul>
            </li>
          <% end %>
        <% end %>
      </ul>
    <% end %>
  </div>
  <div class="row open-data">
    <div class="footer-divider"></div>
  </div>
  <div class="row open-data">
    <%= link_to decidim.open_data_download_path, class: "open-data-link" do %>
      <%= t("layouts.decidim.footer.download_open_data") %><%= icon "data-transfer-download", role: "icon" %>
    <% end %>
  </div>
  <div class="row">
    <div class="footer-divider"></div>
  </div>
  <div class="row official-footer">
    <div class="official-title">
      <a href="<%= t('.links.official.url') %>" target="_blank"><%= t('.links.official.label') %></a>
    </div>
    <ul class="main__footer__nav footer-nav official-links">
      <li>
        <a href="<%= t('.links.contact.url') %>" target="_blank"><%= t('.links.contact.label') %></a>
      </li>
      <li>
        <a href="<%= t('.links.follow.url') %>" target="_blank"><%= t('.links.follow.label') %></a>
      </li>
      <li>
        <a href="<%= t('.links.resources.url') %>" target="_blank"><%= t('.links.resources.label') %></a>
      </li>
    </ul>
    <ul class="main__footer__nav footer-nav">
      <li>
        <a href="<%= t('.links.language.url') %>" target="_blank"><%= t('.links.language.label') %></a>
      </li>
      <li>
        <a href="<%= t('.links.cookies.url') %>" target="_blank"><%= t('.links.cookies.label') %></a>
      </li>
      <li>
        <a href="<%= t('.links.privacy.url') %>" target="_blank"><%= t('.links.privacy.label') %></a>
      </li>
      <li>
        <a href="<%= t('.links.legal.url') %>" target="_blank"><%= t('.links.legal.label') %></a>
      </li>
      <li>
        <a href="<%= t('.links.brexit.url') %>" target="_blank"><%= t('.links.brexit.label') %></a>
      </li>
    </ul>
  </div>
</div>
